# BiggerQuery &mdash; The Python framework for the BigQuery

Tired of the limiting BigQuery console? Open your Jupyter notebook and start working with the BigQuery using Python!

BiggerQuery lets you:
* Work with the BigQuery using a Python code.
* Create a workflow that you can automatically convert to a Airflow DAG.
* Implement a configurable environments for your workflows.
* Organize your data processing.
* Create a workflow from a Jupyter notebook.
* Work with BigQuery from any other environment.
* Run and schedule the Apache-Beam piplines.
* Mix BigQuery, Python and Apache-Beam in your workflows.

BiggerQuery scales to you needs. It's very easy to start making queries and creating workflows. If needed, 
BiggerQuery lets you implement complex stuff(the Allegro experimentation platform is created using the BiggerQuery framework).

## Installation

`pip install biggerquery`

## Compatibility

BiggerQuery is compatible with Python >= 3.7.

## Tutorial

In these Jupyter notebooks you can find the interactive BiggerQuery tutorial.